View Issue Details

IDProjectCategoryView StatusLast Update
0001670VPOP3CalDAVpublic2019-05-16 17:01
ReporterpaulAssigned Topaul 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version7.10 
Summary0001670: Calendar sharing only uses primary group, not secondary groups
DescriptionWhen sharing a calendar amongst users, it doesn't seem possible to use the "group" option unless the user membership is of the primary group.

 

Example:

User A belongs to three groups:

Group1 (Primary group)

Group2 (Secondary group)

Group3 (Secondary group)

 

User B shares a calendar and adds permissions for Group2 to have FULL access.

User A cannot see the calendar, as Group2 is not their primary group.

Can the Calendar server be more permissive in its membership checks, so that all group membership is taken into consideration, not just the primary one?

http://answers.pscs.co.uk/444/calendar-access-delegated-to-secondary-groups
TagsNo tags attached.
Support Ticket Number
Time Estimate

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2015-09-02 10:12 paul New Issue
2015-09-08 11:16 paul Summary Calendar sharign only uses primary group, not secondary groups => Calendar sharing only uses primary group, not secondary groups
2019-05-16 17:01 paul Assigned To => paul
2019-05-16 17:01 paul Status new => resolved
2019-05-16 17:01 paul Resolution open => fixed
2019-05-16 17:01 paul Fixed in Version => 7.10